用pip下载gensim出现exception 求大佬们指点!!! 5C

Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File "c:\program files\python37\lib\site-packages\pip\compat__init__.py", line 73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb9 in position 14: invalid start byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\program files\python37\lib\site-packages\pip\basecommand.py", line 215, in main
status = self.run(options, args)
File "c:\program files\python37\lib\site-packages\pip\commands\install.py", line 324, in run
requirement_set.prepare_files(finder)
File "c:\program files\python37\lib\site-packages\pip\req\req_set.py", line 380, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File "c:\program files\python37\lib\site-packages\pip\req\req_set.py", line 634, in prepare_file
abstract_dist.prep_for_dist()
File "c:\program files\python37\lib\site-packages\pip\req\req_set.py", line 129, in prep_for_dist
self.req_to_install.run_egg_info()
File "c:\program files\python37\lib\site-packages\pip\req\req_install.py", line 439, in run_egg_info
command_desc='python setup.py egg_info')
File "c:\program files\python37\lib\site-packages\pip\utils\
_init__.py", line 676, in call_subprocess
line = console_to_str(proc.stdout.readline())
File "c:\program files\python37\lib\site-packages\pip\compat__init__.py", line 75, in console_to_str
return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb9 in position 14: invalid start byte

有没有大佬告诉一下是哪里出了问题???

0

3个回答

编码问题,按照这个弄试试:http://blog.csdn.net/meloyi/article/details/52487057

0

你这是编码问题,贴代码看看吧

0

我朋友也遇到了,是python2的编码问题,省心的话用python3.不然就改下错误发生的包的内容,网上有。我是觉得挺麻烦的。

0
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!